﻿using System;
using System.Collections.Generic;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data.SqlClient;
using System.Configuration;
using System.Web.Services;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            List<Customer> customers = new List<Customer>();
            customers.Add(new Customer());
            rptCustomers.DataSource = customers;
            rptCustomers.DataBind();
        }
    }

    [WebMethod]
    public static List<Customer> GetCustomers()
    {
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand("SELECT TOP 10 * FROM Customers"))
            {
                cmd.Connection = con;
                List<Customer> customers = new List<Customer>();
                con.Open();
                using (SqlDataReader sdr = cmd.ExecuteReader())
                {
                    while (sdr.Read())
                    {
                        customers.Add(new Customer
                        {
                            CustomerId = sdr["CustomerId"].ToString(),
                            ContactName = sdr["ContactName"].ToString(),
                            City = sdr["City"].ToString(),
                            Country = sdr["Country"].ToString(),
                            PostalCode = sdr["PostalCode"].ToString(),
                            Phone = sdr["Phone"].ToString(),
                            Fax = sdr["Fax"].ToString(),
                        });
                    }
                }
                con.Close();
                return customers;
            }
        }
    }

    public class Customer
    {
        public string CustomerId { get; set; }
        public string ContactName { get; set; }
        public string City { get; set; }
        public string Country { get; set; }
        public string PostalCode { get; set; }
        public string Phone { get; set; }
        public string Fax { get; set; }
    }
}